javax.jdo.annotations

## Annotation Type ForeignKey

-     @Target(value={TYPE,FIELD,METHOD})
       @Retention(value=RUNTIME)
       @Repeatable(value=ForeignKeys.class)
      public @interface ForeignKey

  Annotation for a database foreign-key. Corresponds to the xml element "foreign-key".
  Since:
    2.1
  Version:
    3.2

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `Column[]` | `columns` Columns that compose this foreign key.
    `String` | `deferred` Whether this foreign key is deferred (constraint is checked only at commit).
    `ForeignKeyAction` | `deleteAction` The delete action of this foreign key.
    `Extension[]` | `extensions` Vendor extensions.
    `String[]` | `members` Member (field and property) names that compose this foreign key.
    `String` | `name` Name of the foreign key.
    `String` | `table` Table for the foreign key.
    `String` | `unique` Whether this foreign key is unique.
    `ForeignKeyAction` | `updateAction` The update action of this foreign key.

- - ### Element Detail

    - #### name

          public abstract String name

      Name of the foreign key.
      Returns:
        the name of the foreign key
      Default:
        ""

  - - #### table

          public abstract String table

      Table for the foreign key. This is needed iff annotating a type where the foreign key is not defined on the primary table for the type.
      Returns:
        the table on which the foreign key is defined
      Default:
        ""

  - - #### deferred

          public abstract String deferred

      Whether this foreign key is deferred (constraint is checked only at commit).
      Returns:
        whether this foreign key is deferred
      Default:
        ""

  - - #### unique

          public abstract String unique

      Whether this foreign key is unique.
      Returns:
        whether this foreign key is unique
      Default:
        ""

  - - #### deleteAction

          public abstract ForeignKeyAction deleteAction

      The delete action of this foreign key.
      Returns:
        the delete action of this foreign key
      Default:
        javax.jdo.annotations.ForeignKeyAction.RESTRICT

  - - #### updateAction

          public abstract ForeignKeyAction updateAction

      The update action of this foreign key.
      Returns:
        the update action of this foreign key
      Default:
        javax.jdo.annotations.ForeignKeyAction.RESTRICT

  - - #### members

          public abstract String[] members

      Member (field and property) names that compose this foreign key.
      Returns:
        the member names that compose this foreign key
      Default:
        {}

  - - #### columns

          public abstract Column[] columns

      Columns that compose this foreign key.
      Returns:
        the columns that compose this foreign key
      Default:
        {}

  - - #### extensions

          public abstract Extension[] extensions

      Vendor extensions.
      Returns:
        the vendor extensions
      Default:
        {}

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.